Edushade Docs
Learning progress

Process Progress Event (Async)

POST
/user/learning/learning-progress/{entity_type}/{entity_id}/events
AuthorizationBearer <token>

In: header

Path Parameters

entity_typestring

The entity type identifier

entity_idstring

The entity id identifier

Formatuuid
eventobject

Response Body

curl -X POST "https://edushade.com/api/v1/user/learning/learning-progress/string/497f6eca-6276-4993-bfeb-53cbbbba6f08/events" \
  -H "Content-Type: application/json" \
  -d '{
    "event": {
      "current_time": 15,
      "duration": 600,
      "end_time": 30,
      "event_type": "play",
      "start_time": 0
    }
  }'
{}
Empty
Empty
Empty